<?php
include("../config.php");      //基本資料設定
//頁面設定
 $PAGE_NUMBER="Z02";
 $PAGE_MAINNAME="後端管理區";
 $PAGE_MAINNAME_LINK="admin.php";
 $PAGE_MAINNAME_IOCN="fa-lock"; 
 $PAGE_NAME="後端管理區";
 $PAGE_NAME_IOCN="fa-lock"; 
 $MEMULINK="Other"; //基準頁免設
if($_SERVER['HTTP_HOST']=="web.twu.edu.tw"){
$accout=explode('/',$_SERVER['REQUEST_URI']);
$host=$_SERVER['HTTP_HOST']."/".$accout[1];
}else{
$host=$_SERVER['HTTP_HOST'];
} 
?>
<!DOCTYPE html>
<html lang="zh-Hant-TW">
  <head>
    <meta charset="utf-8">  
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- 上述3個meta標籤*必須*放在最前面，任何其他內容都*必須*跟隨其後！ -->
<?php echo"<meta name=\"description\" content='$DESCRIPTION'>
<meta name=\"keywords\" content='$KEYWORDS'>
<meta name=\"author\" content='$AUTHOR_EN'>
<title>$PAGE_NAME - $WEBNAME</title>    
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:url\" content=\"http://".$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']." \" />
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:image\" content=\"http://".$host."/img/logo.png \" />
";
?>  
    <link rel="icon" href="../images/favicon.ico" type="image/x-icon" />
    <link rel="shortcut icon" href="../images/favicon.ico" type="image/x-icon" />

    <!-- Bootstrap -->
    <link href="../css/bootstrap.min.css" rel="stylesheet">

    <!-- Bootstrap Dropdown Hover CSS -->
    <link href="../css/animate.min.css" rel="stylesheet">
    <link href="../css/bootstrap-dropdownhover.min.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="../css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- Custom CSS -->
    <link href="../css/twu_css.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>
<?php include("include/header_meun.php"); ?>  
<!-- Header -->
<?php include("include/header_img.php"); ?> 
<!-- Page Content -->
<!-- Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
<div id="my-breadcrumb">
   <div class="container-fluid bg-breadcrumb">
      <div class="container">
         <div class="row">
            <div class="col-sm-8 col-lg-8">           
                <ol class="breadcrumb">
                    <i class="fa fa-road" aria-hidden="true" alt=" "></i>&nbsp;您目前位置：&nbsp;<li><i class="fa fa-home" aria-hidden="true" alt=" "></i><a href="index.php" title="<?php echo $WEBNAME?>首頁" tabindex="221">首頁</a></li>
                    <li><i class="fa <?php echo $PAGE_MAINNAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<a href="<?php echo $PAGE_MAINNAME_LINK?>" title="<?php echo $PAGE_MAINNAME?>" tabindex="222"><?php echo $PAGE_MAINNAME?></a></li>
                    <li class="active"><i class="fa <?php echo $PAGE_NAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $PAGE_NAME?></li>                   
                </ol>              
            </div><!--/col-lg-8 -->
            <div class="col-lg-4 hidden-xs col-sm-4">
			    <div class="fontsize">
<a tabindex="233" onkeypress="fontbig()" onclick="fontbig()" href="#" title="big">+</a>
<a tabindex="232" onkeypress="font()" onclick="font()" href="#" title="Normal">O</a>
<a tabindex="231" onkeypress="fontsmall()" onclick="fontsmall()" href="#" title="small">-</a>
<div class="font_t">FONT SIZE:</div>
<!--fontsize end-->
                </div>
            </div>  <!--/col-lg-4 -->           
         </div><!--/row -->
      </div><!--/container -->
   </div><!--/container-fluid -->
</div> <!--/my-breadcrumb-->
<!-- END of Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
        <!-- 招生訊息- -->
<section class="patched-section" id="section-top">
      <div class="container-fluid container-bg">
      <div class="container bg-white">
        <div class="row">
<div class="col-md-3 bg-blue widget_mfn_menu">
<div class="accesskey hidden-xs"><a accesskey="L" title="Left Block" href="#" tabindex="300">:::</a></div>
<h3><?php echo $PAGE_MAINNAME?></h3>

<!-- 管理者選單 -->
<?php include("include/admin_links.php"); ?> 
<!-- /管理者選單 -->

            </div>            
             <div class="col-md-9">
<div class="accesskey hidden-xs"><a accesskey="C" title="content Block" href="#" tabindex="400">:::</a></div>             
                <p class="lead"><?php echo $PAGE_NAME?></p>
                <hr>
<h4><i class="fa fa-info-circle" aria-hidden="true"></i>說明</h4>
<?php
		//檢查密碼是否修改過，如果是第一次進入則強制要求更改密碼以確保安全
		if ($_SESSION['ChangePwdDate']==''){
echo "<div class=\"alert alert-danger alert-dismissible\" role=\"alert\">
    <strong><i class=\"fa fa-exclamation-circle\"></i>&nbsp;注意!</strong>管理者協助變更密碼或第一次使用需強制變更密碼 <a href=\"logout.php\" tabindex=\"400\" title=\"登出系統\"><i class=\"fa fa-sign-out\" aria-hidden=\"true\"></i> 登出/Logout </a> / <a href=\"changepw.php\" title=\"changepw\" tabindex=\"400\"><i class=\"fa fa-key\" aria-hidden=\"true\" alt=\" \"></i>變更密碼</a>
</div>";			
		}else{

// Make sure we hide ugly errrors
error_reporting(0);
define('CORE_ROOT', dirname(__FILE__).'/../');
define('CFG_FILE', '../config.php');
define('INSTALL_ROOT', '../install/');
// Check config file is writable
$check = is_writable(CFG_FILE);
$cfg_writable = '<span class="'.($check ? 'check' : 'notcheck').'">'.($check ? '請將 <em>config.php</em> 移除可寫入權限！' : '').'</span>';
if (!$check) $errors = true;
// CheckINSTALL directory 
$check = is_dir(INSTALL_ROOT);
$install_exists = '<span class="'.($check ? 'check' : 'notcheck').'">'.($check ? '請刪除 <em>install</em> 資料夾或將資料夾更名!' : '').'</span>';
if (!$check) $errors = true;

?>
<p class="text-danger">*您應該注意事項，使用前請<span class="text-primary"> 調整 </span>，謝謝。</p>
<p class="text-danger"><?php echo $cfg_writable; ?></p>
<p class="text-danger"><?php echo $install_exists ; ?></p>
<h5><i class="fa fa-info-circle" aria-hidden="true"></i>功能簡介</h5>
<p class="text-primary">文字圖片連結</p>
提供本網站的文字及圖片連結管理如 上方連結 、 廣告圖 ...
<p class="text-primary">系統參數</p>
提供本網站的設定
<p class="text-primary">單位設定</p>
提供單位名稱設定(如有二級單位)請將預設的[測試單位]修改為您的單位全銜
<p class="text-primary">使用者設定</p>
管理可以使用本系統的使用者及權限
<p class="text-primary">網頁架構</p>
可以依照單位屬性進行網頁架構的編輯
<?php  
		}
?>                       
          </div> 
        </div>
</div>
</div>
      </section>
<?php include("include/footer_social.php"); ?>
<!-- Begin footer -->    
<footer class="bs-docs-footer" id="section-footer">
<!-- #Date -->
<section id="page-BeginDate">
      <div class="container-fluid page-BeginDate">
        <div class="container">
        <div class="row">
            <div class="col-lg-12">        
         Last Updated: 
            <!-- #BeginDate format:IS1m -->2017-02-14  15:39<!-- #EndDate -->
</div></div>
</div>
      </div>
</section>
<!-- #EndDate -->    
<?php include("include/footer_copyright.php"); ?>
  </body>
</html>