$(function(){
		
    var ul = $('#upload ul');

    $('#drop a').click(function(){
        // Simulate a click on the file input button
        // to show the file browser dialog
        $(this).parent().find('input').click();
    });
var n = 0;
    // Initialize the jQuery File Upload plugin
    $('#upload').fileupload({
				
        // This element will accept file drag/drop uploading
        dropZone: $('#drop'),

        // This function is called when a file is added to the queue;
        // either via the browse button, or via drag/drop:
        add: function (e, data) {
						if(data.files[0]['type'] != 'image/png' && data.files[0]['type'] != 'image/jpg' && data.files[0]['type'] != 'image/jpeg'){ 
							alert("只允許 .png, .jpg, and .jpeg 檔案上傳."); 
							return; 
						}
				
				 var SizeLimit = 2048*1024;
						if( data.files[0].size >SizeLimit){ 
						//上傳上限，單位:byte
						//1 Byte = 8 Bits(電腦的最小單位為 Bit)
						//1 Kilobyte (KB) = 1024 Bytes
						//1 Megabyte (MB) = 1024 KB
							alert("檔案過大,超過上限"+formatFileSize(SizeLimit)+":您的檔案大小為 "+formatFileSize(data.files[0].size)); 
							return; 
						}

					
            var tpl = $('<li class="working"><input type="text" value="0" data-width="48" data-height="48"'+
                ' data-fgColor="#0788a5" data-readOnly="1" data-bgColor="#3e4043" /><p></p><span></span></li>');
								
						//previewImage(data);
						var reader = new FileReader();
						
						reader.readAsDataURL(data.files[0]);          
						reader.onload = function (ev) {
								console.log("reader.onload e.target.result: "+ev.target.result);
								data.cntxt.after("<img src='"+ev.target.result+"' width=300 height=auto class='imgUploading'>");
											
								data.cntxt.next("img").after(photoTitleVar);
								data.cntxt.next("img").next("legend").next("label").after(photoDescriptionVar);

						}
            // Append the file name and file size
            tpl.find('p').text(data.files[0].name).append('<i>' + formatFileSize(data.files[0].size) + '</i>');

			
			// Add the HTML to the UL element
            data.cntxt = tpl.appendTo(ul);

            // Initialize the knob plugin
            tpl.find('input').knob();

            // Listen for clicks on the cancel icon
            tpl.find('span').click(function(){
								
                if(tpl.hasClass('working')){
                    jqXHR.abort();
										
                }

                tpl.fadeOut(function(){
                    tpl.remove();
										
                });
								tpl.next("img").fadeOut(function(){
										tpl.next("img").remove();
                });

            });

            // Automatically upload the file once it is added to the queue
            var jqXHR = data.submit();
			
        },

        progress: function(e, data){
            // Calculate the completion percentage of the upload
            var progress = parseInt(data.loaded / data.total * 100, 10);

            // Update the hidden input field and trigger a change
            // so that the jQuery knob plugin knows to update the dial
            data.cntxt.find('input').val(progress).change();

            if(progress == 100){
                data.cntxt.removeClass('working');
								//change img css opacity once loaded -Should I change the style directly?
								data.cntxt.next("img").removeClass("imgUploading");
								data.cntxt.next("img").addClass("imgUploaded");
							
            }
        },

        fail:function(e, data){
            // Something has gone wrong!
            data.cntxt.addClass('status');
        }

    });


    // Prevent the default action when a file is dropped on the window
    $(document).on('drop dragover', function (e) {
        e.preventDefault();
    });

    // Helper function that formats the file sizes
    function formatFileSize(bytes) {
        if (typeof bytes !== 'number') {
            return '';
        }

        if (bytes >= 1024*1024*1024) {
            return (bytes / (1024*1024*1024)).toFixed(2) + ' GB';
        }

        if (bytes >= 1024*1024) {
            return (bytes / (1024*1024)).toFixed(2) + ' MB';
        }

        return (bytes / 1024).toFixed(0) + ' KB';
    }
		
});//end function i.e. document.ready					