<?php  
include("../config.php");      //基本資料設定
//頁面設定 
 $PAGE_NUMBER="D01";
 $PAGE_MAINNAME="登入"; 
 $PAGE_MAINNAME_LINK="index.php";
 $PAGE_NAME="登入"; 
 $MEMULINK="index"; //基準頁免設

   session_start(); 
   ini_set('session.use_strict_mode', 1);
   $sid = md5('time()');
   $_SESSION['sid']=$sid;

?>
<!DOCTYPE html>
<html lang="zh-Hant-TW">
  <head>
    <meta charset="utf-8">  
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- 上述3個meta標籤*必須*放在最前面，任何其他內容都*必須*跟隨其後！ -->
<?php echo"<meta name=\"description\" content='$DESCRIPTION'>
<meta name=\"keywords\" content='$KEYWORDS'>
<meta name=\"author\" content='$AUTHOR_EN'>
<title>$PAGE_NAME - $WEBNAME</title>    
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:url\" content=\"http://".$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']." \" />
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:image\" content=\"http://".$host."/img/logo.png \" />
";
?>
    <link rel="icon" href="../images/favicon.ico" type="image/x-icon" />
    <link rel="shortcut icon" href="../images/favicon.ico" type="image/x-icon" />

    <!-- Bootstrap -->
    <link href="../css/bootstrap.min.css" rel="stylesheet">

    <!-- Bootstrap Dropdown Hover CSS -->
    <link href="../css/animate.min.css" rel="stylesheet">
    <link href="../css/bootstrap-dropdownhover.min.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="../css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- Custom Css -->
    <link href="../css/adminstyle.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
<style type="text/css">
/*--本頁表格專用*/
</style>
</head>
<body class="login-page">
    <div class="login-box">
        <div class="logo">
            環球科技大學<b><?php echo"$WEBNAME";?></b>
            <small>後端管理介面</small>
        </div>
        <div class="card">
            <div class="body">
<FORM action="login_confirm.php?<?php echo $_SESSION['sid']?>" method="post" enctype="multipart/form-data" id="sign_in" name="sign_in" class="form-horizontal" role="form" onSubmit="return finalcheck()">	                
<div class="alert alert-danger alert-dismissible" role="alert">
    <i class="fa fa-exclamation-circle"></i>&nbsp;請輸入使用者帳號及密碼</div>
				
                    <div class="input-group">
                        <span class="input-group-addon">
                           <i class="fa fa-user" aria-hidden="true"></i>
                        </span>
                        <div class="form-line">
                            <input type="text" class="form-control" name="username" placeholder="請輸入使用者帳號 Username" required autofocus>
                        </div>
                    </div>
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-lock" aria-hidden="true"></i>
                        </span>
                        <div class="form-line">
                            <input type="password" class="form-control" name="password" placeholder="請輸入使用者密碼Password" required>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-6">
                            <button class="btn btn-block bg-pink waves-effect" type="submit">登入/login</button>
                        </div>
                    </div>
                    <div class="msg">無法登入請與單位網站管理員聯繫<BR>(系統帳密與各系統不一樣)</div>
                </form>
            </div>
        </div>
    </div>
  </body>
</html>
