<?php 
if($_SERVER['HTTP_HOST']=="web.twu.edu.tw"){
$accout=explode('/',$_SERVER['REQUEST_URI']);
$host=$_SERVER['HTTP_HOST']."/".$accout[1];
}else{
$host=$_SERVER['HTTP_HOST'];
}
if (!defined('INSTALL_SEQUENCE')) {
    echo '<p>Illegal call. Terminating.</p>';
    exit();
}

$drivers = PDO::getAvailableDrivers();
?>

    <script type="text/javascript" charset="utf-8" src="../js/jquery-1.8.3.min.js"></script>
    <script type="text/javascript">
    // <![CDATA[
        $(document).ready(function() {
            $('#config_db_driver').change(function() {

                if (this.value == 'sqlite') {
                    $('#config_db_name').val('<?php echo SQLITE_ROOT.'/'.SQLITE_DOCUMENT.'.sqlite3' ?>');
                    $('#help-db-name').html('必要的資料. 放置您的資料庫位置.<br/><strong>請注意</strong> 強烈建議您不要放在網頁資料夾(html)內');
                    $('#help-db-prefix').html('Optional. Usefull to prevent conflicts if you have, or plan to have, multiple Wolf installations with a single database.');
                    $('#row-table-prefix label').addClass('optional');
                    $('#row-db-socket').hide();
                    $('#row-db-host').hide();
                    $('#row-db-port').hide();
                    $('#row-db-user').hide();
                    $('#row-db-pass').hide();
                    $('#row-table-prefix').hide();
                }
            });

            $('#config_db_driver').trigger('change');
        });

    // ]]>
    </script>

    <h1>安裝資訊</h1>
    <p>本頁面要確認您的安裝目錄</p>
	Meta Data 請確認 安裝後不易修改....

    <form action="index.php" method="post">
        <input type="hidden" name="install" value="1"/>
        <table class="fieldset" cellpadding="0" cellspacing="0" border="0">
            <tr>
                <td colspan="3"><h3>Sqlite 資料庫位置</h3></td>
            </tr>
            <tr>
                <td class="label"><label for="config_db_driver">Database driver</label></td>
                <td class="field">
                    <select id="config_db_driver" name="config[db_driver]">
                        <?php  if (in_array('sqlite', $drivers)) {
                                echo '<option value="sqlite">SQLite 3</option>';
                            //}
                        } ?>
                    </select>
                </td>
                <td class="help">安裝要求.</td>
            </tr>
            <tr id="row-seup-host">
                <td class="label"><label for="config_url_host">安裝目錄確認</label></td>
                <td class="field"><input class="textbox" id="config_url_host" maxlength="100" name="config[url_host]" size="65" type="text" value="<?php echo $host?>" /></td>
                <td class="help">安裝在根目錄無須修改(不用http://)</td>
            </tr>			
            <tr id="row-db-name">
                <td class="label"><label for="config_db_name">Sqlite 資料庫</label></td>
                <td class="field"><input class="textbox" id="config_db_name" maxlength="120" name="config[db_name]" size="65" type="text" value="<?php echo SQLITE_ROOT.'/'.SQLITE_DOCUMENT.'.sqlite3' ?>" /></td>
                <td class="help" id="help-db-name">必填 檔名可自行修改 '.sq3', '.db','.db3','.sqlite','.sqlite3'</td>
            </tr>

            <tr>
                <td colspan="3"><h3>Meta Data</h3></td>
            </tr>
            <tr>
                <td class="label"><label for="ACTIVITYNAME">網站全名</label></td>
                <td class="field"><input class="textbox" id="ACTIVITYNAME" maxlength="100" name="config[ACTIVITYNAME]" size="65" type="text" value="環球科技大學圖書資訊處" /></td>
                <td class="help">請輸入環球科技大學單位名稱(並請自行修改)</td>
            </tr>
            <tr>
                <td class="label"><label for="WEBNAME">網站名稱</label></td>
                <td class="field"><input class="textbox" id="WEBNAME" maxlength="100" name="config[WEBNAME]" size="65" type="text" value="圖書資訊處" /></td>
                <td class="help">請輸入單位名稱:(如需使用最新公告請用全名圖書資訊處 不要用圖資處)</td>
            </tr> 
            <tr>
                <td class="label"><label for="ENACTIVITYNAME">單位英文</label></td>
                <td class="field"><input class="textbox" id="ENACTIVITYNAME" maxlength="100" name="config[ENACTIVITYNAME]" size="65" type="text" value="Office of Library and Information Services" /></td>
                <td class="help">如圖書資訊處請填入Office of Library and Information Services</td>
            </tr>
            <tr>
                <td class="label"><label for="ENWEBNAME">單位英文縮寫</label></td>
                <td class="field"><input class="textbox" id="ENWEBNAME" maxlength="100" name="config[ENWEBNAME]" size="65" type="text" value="OLIS" /></td>
                <td class="help">如圖書資訊處的英文是Office of Library and Information Services請填入OLIS</td>
            </tr> 			
            <tr>
                <td class="label"><label for="KEYWORDS">關鍵字</label></td>
                <td class="field"><input class="textbox" id="KEYWORDS" maxlength="100" name="config[KEYWORDS]" size="65" type="text" value="環球科技大學,圖書資訊處" /></td>
                <td class="help">請自行修改(關鍵字1,關鍵字2)</td>
            </tr>
            <tr>
                <td class="label"><label for="DESCRIPTION">網站描述</label></td>
                <td class="field"><input class="textbox" id="DESCRIPTION" maxlength="100" name="config[DESCRIPTION]" size="65" type="text" value="這是單位網站為...." /></td>
                <td class="help">請自行修改(這是單位網站為....)</td>
            </tr>
            <tr>
                <td class="label"><label for="CONTACT_MAIL">單位或管理者電子郵件</label></td>
                <td class="field"><input class="textbox" id="CONTACT_MAIL" maxlength="100" name="config[CONTACT_MAIL]" size="65" type="text" value="olis@twu.edu.tw" /></td>
                <td class="help">請自行修改(單位或管理者電子郵件)/<td>
            </tr>            
             <tr>
                <td class="label"><label for="CONTACT_TEL">單位連絡電話或專線</label></td>
                <td class="field"><input class="textbox" id="CONTACT_TEL" maxlength="100" name="config[CONTACT_TEL]" size="65" type="text" value="05-5370988 分機 0000" /></td>
                <td class="help">請自行修改(05-5370988 分機 0000)</td>
            </tr> 
              <tr>
                <td class="label"><label for="CONTACT_PHONE">單位傳真或學校傳真</label></td>
                <td class="field"><input class="textbox" id="CONTACT_PHONE" maxlength="100" name="config[CONTACT_PHONE]" size="65" type="text" value="05-5370988 分機 0000" /></td>
                <td class="help">請自行修改(05-5370988 分機 0000)</td>
            </tr>                     
             <tr>
                <td class="label"><label for="PROPERTY_SITE_NAME">單位名稱(全銜)</label></td>
                <td class="field"><input class="textbox" id="PROPERTY_SITE_NAME" maxlength="100" name="config[PROPERTY_SITE_NAME]" size="65" type="text" value="環球科技大學圖書資訊處" /></td>
                <td class="help">請輸入環球科技大學單位名稱(並請自行修改)</td>
            </tr> 


        </table>
        <p class="buttons">
            <button class="button" name="commit" type="submit">上述資料請確認喔!!開始安裝!</button>
        </p>
    </form>
