<?php 
//主管基本資料
$dataquery="SELECT * FROM deanBrief WHERE isDisplay = 'true' ";
$dataquery.="AND parentID= :fillID2";
//執行SQL
$dataStatement = $Database->prepare($dataquery);
$dataStatement->bindParam(":fillID2", $showfillID, PDO::PARAM_INT);
$dataStatement->execute();

$dataRowset = $dataStatement->fetchAll(PDO::FETCH_ASSOC);
$num_rows = count($dataRowset);    //fetchAll()  	算比數
 if ($num_rows==0) echo "<p class=\"text-center text-warning\">目前沒有資料</p>";//	
foreach ($dataRowset as $datarow) {
$deanimgOrig=str_replace("../","",$datarow[imgOrig]);
?>
<!-- secretary -->
<div class="row longtext">
<!-- secretary photo-->
            <div class="col-sm-5 col-lg-5"> 
 <img src="<?php echo $deanimgOrig ?>" class="media-object img-hover img-center" alt="<?php echo $datarow['TwName']; ?>照片">
    </div>
<!-- /secretary photo-->   
<!-- secretary detail -->
    <div class="col-sm-7 col-lg-7"> 
  <h5 class="photo-heading"><?php echo $datarow['TwName']; ?><?php if ($datarow['EnName']!='') echo "( <span class=\"text-primary\"> $datarow[EnName] </span>)"; ?> </h5>   
     <p><span class="fa-stack fa-lg">
        <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
        <i class="fa fa-phone fa-stack-1x fa-inverse" aria-hidden="true"></i>
        </span>
      辦公室TEL: <?php echo $datarow['officeTel']; ?><?php if ($datarow['LabTel']!='') echo " / 研究室TEL: $datarow[LabTel]"; ?> 


   </p>
    <p> <span class="fa-stack fa-lg">
      <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
      <i class="fa fa-envelope fa-stack-1x fa-inverse" aria-hidden="true"></i>
      </span>
      EMAIL: <?php echo $datarow['deanEmail']; ?> 
   </p>

<?php 
if ($datarow['deanWeb']!='')
echo "<p> <span class=\"fa-stack fa-lg\">
      <i class=\"fa fa-circle fa-stack-2x\" aria-hidden=\"true\"></i>
      <i class=\"fa fa-globe fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
      </span>
      <a href=\"$datarow[deanWeb]\" tabindex=\"400\" title=\"教學網站(開啟新視窗)\">教學網站</a> 
   </p>
"; ?>   
<p><span class="label label-primary">系所：</span><?php echo $datarow['department']; ?></p>   
   </div>
<!-- /secretary   detail-->   
</div>
 <!-- /secretary --> 
<?php
}
?>
                  <hr> 
<?php 
//主管學歷
         $dean_head="主管學歷";
         $dean_th1="學校名稱";
         $dean_th2="系所名稱或學位名稱";
         $dean_th1note="學校名稱";
         $dean_th2note="系所名稱或學位名稱";	
$bgquery="SELECT * FROM deanData WHERE isDisplay= 'true' AND Dataclass= 'background' ";
$bgquery.="AND fillID= :fillID2";
//執行SQL
$bgStatement = $Database->prepare($bgquery);
$bgStatement->bindParam(":fillID2", $showfillID, PDO::PARAM_INT);
$bgStatement->execute();
$bgRowset = $bgStatement->fetchAll(PDO::FETCH_ASSOC);
?>
<p class="icon_arrow">學歷</p>
 <div class="table-responsive">
<table class="table table-bordered table-striped table-hover table-condensed task-table">
<thead>
<tr>
<th><?php echo $dean_th1?></th>
<th><?php echo $dean_th2?></th>
<th>備註/說明</th>
</tr>
</thead>
<tbody>           
 <?php     	
$bg_rows = count($bgRowset);    //fetchAll()  	算比數
 if ($bg_rows==0) echo "<tr><td colspan=3 class=\"text-center text-warning\">目前沒有資料</td></tr>";//	
foreach ($bgRowset as $bgrow) {
$show_id=$bgrow["ID"];	
$parentID=$bgrow["parentID"];
$fillID=$bgrow["fillID"];
$isDisplay=$bgrow["isDisplay"];
$Dataclass=$bgrow["Dataclass"];
$Name=$bgrow["Name"];
$Title=$bgrow["Title"];
$Note=$bgrow["Note"];
$StartDate=$bgrow["StartDate"];
$EndDate=$bgrow["EndDate"];
$AdminID=$bgrow["AdminID"];
$UpdateTime=$bgrow["UpdateTime"];

 ?>            
   <tr>
     <td data-label="<?php echo $dean_th1?>"><?php echo $Name?>&nbsp;</td>  
     <td data-label="<?php echo $dean_th2?>"><?php echo $Title?>&nbsp;<?php if ($bgrow["StartDate"]!='' OR $bgrow["EndDate"]!='')echo "<small>($StartDate~$EndDate)</small>"; ?></td>  
     <td data-label="備註"><?php echo $Note?>&nbsp;</td>                        
     <?php
 }
	 
 ?> 
</tbody>
 </table>
 </div>
                  <hr> 
<?php 
//主管經歷
         $dean_head="主管經歷";
         $dean_th1="機關(構)名稱";
         $dean_th2="單位及職稱";
         $dean_th1note="公司/學校名稱";
         $dean_th2note="如理事長...";	
$expquery="SELECT * FROM deanData WHERE isDisplay= 'true' AND Dataclass= 'experience' ";
$expquery.="AND fillID= :fillID2";
//執行SQL
$expStatement = $Database->prepare($expquery);
$expStatement->bindParam(":fillID2", $showfillID, PDO::PARAM_INT);
$expStatement->execute();
$expRowset = $expStatement->fetchAll(PDO::FETCH_ASSOC);
?>
<p class="icon_arrow">經歷</p>
 <ol class="container-list">
 <?php     	
$exp_rows = count($expRowset);    //fetchAll()  	算比數
 if ($exp_rows==0) echo "<p class=\"text-center text-warning\">目前沒有資料</p>";//	
foreach ($expRowset as $exprow) {
$expshow_id=$exprow["ID"];	
$expparentID=$exprow["parentID"];
$expfillID=$exprow["fillID"];
$expisDisplay=$exprow["isDisplay"];
$expDataclass=$exprow["Dataclass"];
$expName=$exprow["Name"];
$expTitle=$exprow["Title"];
$expNote=$exprow["Note"];
$expAdminID=$exprow["AdminID"];
$expUpdateTime=$exprow["UpdateTime"];
if ($exprow["StartDate"]!='' OR $exprow["EndDate"]!=''){$expDate="<small>( $exprow[StartDate] ~ $exprow[EndDate])</small>";}
echo "<li>$expName $expTitle $expDate $expNote</li>";
 }
 ?> 
 </ol>