  <script src='../js/plugins/tinymce/tinymce.min.js'></script>
  <script>
tinymce.init({
	language:'zh_TW',
	selector:'textarea',
	height:'300',
    plugins: [
        "advlist autolink lists link image charmap print preview hr anchor pagebreak",
        "searchreplace wordcount visualblocks visualchars code fullscreen",
        "insertdatetime media nonbreaking save table contextmenu directionality",
        "emoticons template paste textcolor colorpicker textpattern imagetools",
		"advlist autolink jbimages"
    ],
	toolbar1: "insertfile undo redo  | formatselect | bold italic underline strikethrough subscript superscript | forecolor backcolor charmap emoticons",
/*	toolbar1: "insertfile undo redo | formatselect fontselect fontsizeselect | bold italic underline strikethrough subscript superscript",
*/	toolbar2: "| alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | table hr pagebreak blockquote  | link unlink jbimages media | cut copy paste | insertdatetime fullscreen code ",
    menubar: false,
	image_advtab: true,
	relative_urls: true,
	document_base_url: '<?php echo URL_PUBLIC?>'
});  
  </script>

<?php
//判斷是否已經有資料
$checkQuery = "SELECT count(*) AS checknum,ID,parentID,path FROM webstructure_data WHERE parentID=:parentID";

//執行SQL
$checkStatement = $Database->prepare($checkQuery);
$checkStatement->bindParam(":parentID", $_GET[fillID]);
$checkStatement->execute();
$checkrow = $checkStatement->fetch(PDO::FETCH_ASSOC);
	if ( $checkrow['checknum']==1 ) { //
$show_ID=$checkrow['ID'];
$path=$checkrow['path'];		
     if ( $_GET[actfun]=="del" ) {$actfun="del";}else{$actfun="edit";}
	}
?> 
<h5 class="text-primary">所見即所得網頁</h5>
<p class="text-danger">*所見即所得（What You See Is What You Get：WYSIWYG）<span class="text-warning"> ，新增圖片如不使用將暫時無法從介面刪除，</span>謝謝。</p>
<FORM action="fillwebhomepagego.php" method="post" enctype="multipart/form-data" name="beMemberFrm" class="form-horizontal" role="form" onSubmit="return finalcheck()">
    <div class="control-group form-group">
      <div class="col-sm-12"> 
        <textarea name="webfile" id="webfile" class="form-control"><?php if ($actfun=="edit" OR $actfun=="del" ) echo "$path"; ?></textarea>               
     <span id="formatStatus" class="sr-only">(success)</span>        
      </div>
    </div>
<div class="control-group form-group">        
      <div class="col-sm-offset-2 col-sm-10">
<input name="old_parentID" type="hidden"  id="old_parentID" value="<?php echo $_GET[fillID]?>"> 
<?php if ($actfun=="edit" OR $actfun=="del" ) echo "<input type=hidden value=$show_ID name=old_num>"; ?>
<input name="Groups" type="hidden"  id="Groups" value="<?php echo $row[Groups]?>">
<input name="old_AdminID" type="hidden" id="old_AdminID" value="<?php echo $_SESSION["ID"]?>">       
 <input type="hidden" value=<?php if($actfun=="edit"){echo "edit";}elseif($actfun=="del"){echo "del";}else{echo "new";}?> name=go><?php if ($actfun=="edit" OR $actfun=="del" ) echo "<input type=hidden value=$_GET[application_id] name=old_num>"; ?>        
        <button type="submit" class="btn btn-primary"><?php if($actfun=="edit"){echo "修改/Submit";}elseif($actfun=="del"){echo "刪除/Submit";}else{echo "新增/Submit";}?></button>
        <button type="reset" class="btn btn-danger">重設/Reset</button>
        <?php if($actfun=="edit"){echo "<a href='?fillID=$_GET[fillID]&actfun=del' class=\"btn btn-warning\" role=\"button\">我要刪除</a>";}?>
      </div>
    </div>    
 </FORM>