<?php
/*版本更新
2017/03/09 調整內頁排序
2017/03/08 部分更新
2017/02/26 
*/
include("config.php");      //基本資料設定
if(filesize("config.php")==0){
	header("location:construction.php"); //空的
	exit;
	}
//資料表名稱
$sqlite_table="webstructure";

//查詢資料表名稱是否存在
$SelectQuery = "SELECT name FROM sqlite_master WHERE type='table' AND name='$sqlite_table'";
//執行SQL
$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
$num_rows = count($Rowset);    //fetchAll()  	算比數
if ($num_rows==0)  {
	header("location:infocenter.php?error=998"); //空的
	exit;
	}

$fillID = ($_GET[fillID] == "" || !is_numeric($_GET[fillID])) ? 0 : (int)$_GET[fillID];

if ($fillID==0)  {
	header("location:showindex.php"); //空的
	exit;
	}

//configTemplate 是 default 因為轉址所以先判斷
 //繼續執行查詢		
$SelectQuery2 = "SELECT ID,parentID,isDisplay,isWrite,Name,FontAwesome,Description,Groups,configTemplate";
$SelectQuery2.=" ,(SELECT path FROM webstructure_data WT WHERE WT.parentID=W.ID) As locationpage";
$SelectQuery2.=" FROM webstructure W WHERE W.ID=:fillID";

//執行SQL
$Statement2 = $Database->prepare($SelectQuery2);
$Statement2->bindValue(":fillID", $_GET[fillID], PDO::PARAM_INT);
$Statement2->execute();
$Rowset2 = $Statement2->fetchAll(PDO::FETCH_ASSOC);
foreach ($Rowset2 as $row2) {
if ($row2[configTemplate]=="default" AND ($row2[isWrite]=="true"))  {
	header("location:$row2[locationpage]"); //空的
	exit;
	}
 }


 //執行查詢		
$level1SelectQuery = "SELECT ID,Name,FontAwesome FROM webstructure WHERE ID = :fillID AND isDisplay='true'";
//執行SQL
$level1Statement = $Database->prepare($level1SelectQuery);
$level1Statement->bindValue(":fillID", $fillID, PDO::PARAM_INT);
$level1Statement->execute();
$level1Rowset = $level1Statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($level1Rowset as $level1row) {
$level1ID=$level1row[ID];
$level1Name=$level1row[Name];
$level1FontAwesome=$level1row[FontAwesome];
 }

$fillID2=$_GET["fillID2"];
$fillID2 = ($fillID2 == "" || !is_numeric($fillID2)) ? 0 : (int)$fillID2;
 //執行查詢		
$level2SelectQuery = "SELECT ID,Name,FontAwesome FROM webstructure WHERE ID = :fillID2 AND isDisplay='true'";
//執行SQL
$level2Statement = $Database->prepare($level2SelectQuery);
$level2Statement->bindValue(":fillID2", $fillID2, PDO::PARAM_INT);
$level2Statement->execute();
$level2Rowset = $level2Statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($level2Rowset as $level2row) {
$level2ID=$level2row[ID];
$level2Name=$level2row[Name];
$level2FontAwesome=$level2row[FontAwesome];
 }	


	if ($fillID2=='') {
		$PAGE_NAME=$level1Name;
	}elseif ($fillID==$fillID2) {
		$PAGE_NAME=$level1Name;
	}else{
		$PAGE_NAME=$level1Name."&nbsp;>&nbsp;".$level2Name;
	}
?>
<!DOCTYPE html>
<html lang="zh-Hant-TW">
  <head>
    <meta charset="utf-8">  
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- 上述3個meta標籤*必須*放在最前面，任何其他內容都*必須*跟隨其後！ -->
<?php echo"<meta name=\"description\" content='$DESCRIPTION'>
<meta name=\"keywords\" content='$KEYWORDS'>
<meta name=\"author\" content='$AUTHOR_EN'>
<title>$PAGE_NAME - $WEBNAME</title>    
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:url\" content=\"http://".$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']." \" />
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:image\" content=\"http://".$host."/img/logo.png \" />
";
?>
<!-- Favicons
================================================== -->
<link rel="icon" href="images/favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon" />
<link rel="apple-touch-icon" href="images/touch-icon-iphone.png" /> 
<link rel="apple-touch-icon" sizes="76x76" href="images/touch-icon-ipad.png" /> 
<link rel="apple-touch-icon" sizes="120x120" href="images/touch-icon-iphone-retina.png" />
<link rel="apple-touch-icon" sizes="152x152" href="images/touch-icon-ipad-retina.png" />

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Bootstrap Dropdown Hover CSS -->
    <link href="css/animate.min.css" rel="stylesheet">
    <link href="css/bootstrap-dropdownhover.min.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- Custom CSS -->
    <link href="css/twu_css.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>
<?php include("include/header_meun.php"); ?>  
<!-- Header -->
<?php include("include/header_img.php"); ?> 
<!-- Page Content -->
<!-- Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
<div id="my-breadcrumb">
   <div class="container-fluid bg-breadcrumb">
      <div class="container">
         <div class="row">
            <div class="col-sm-8 col-lg-8">           
                <ol class="breadcrumb">
                    <i class="fa fa-road" aria-hidden="true" alt=" "></i>&nbsp;您目前位置：&nbsp;<li><i class="fa fa-home" aria-hidden="true" alt=" "></i><a href="index.php" title="<?php echo $WEBNAME?>首頁" tabindex="221">首頁</a></li>

<?php
	if ($_GET[fillID2]=='') {
?>
                    <li class="active"><i class="fa <?php echo $level1FontAwesome?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $level1Name?></li>   
<?php
	}elseif ($_GET[fillID2]==$_GET[fillID]) {
?>
                    <li class="active"><i class="fa <?php echo $level1FontAwesome?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $level1Name?></li>   
<?php
	}else{
?>
                    <li><i class="fa <?php echo $level1FontAwesome?>" aria-hidden="true" alt=" "></i>&nbsp;<a href="?fillID=<?php echo $level1ID?>" title="<?php echo $level1Name?>" tabindex="222"><?php echo $level1Name?></a></li>
                    <li class="active"><i class="fa <?php echo $level2FontAwesome?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $level2Name?></li>   
<?php
	}
?>                
                </ol>              
            </div><!--/col-lg-8 -->
            <div class="col-lg-4 hidden-xs col-sm-4">
			    <div class="fontsize">
<a tabindex="233" onkeypress="fontbig()" onclick="fontbig()" href="#" title="big">+</a>
<a tabindex="232" onkeypress="font()" onclick="font()" href="#" title="Normal">O</a>
<a tabindex="231" onkeypress="fontsmall()" onclick="fontsmall()" href="#" title="small">-</a>
<div class="font_t">FONT SIZE:</div>
<!--fontsize end-->
                </div>
            </div>  <!--/col-lg-4 -->           
         </div><!--/row -->
      </div><!--/container -->
   </div><!--/container-fluid -->
</div> <!--/my-breadcrumb-->
<!-- END of Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
        <!-- 招生訊息- -->
<section class="patched-section" id="section-top">
      <div class="container-fluid container-bg">
      <div class="container bg-white">
        <div class="row">
<div class="col-md-3 bg-blue widget_mfn_menu">
<div class="accesskey hidden-xs"><a accesskey="L" title="Left Block" href="#" tabindex="300">:::</a></div>
<?php
//left_menu	左方選單
$leftmenuQuery = "SELECT ID,Name,FontAwesome FROM webstructure WHERE configStructure='left_menu' AND parentID = 0 AND isDisplay='true' ORDER BY SortNum ASC ,ID ASC ";
//執行SQL
$leftmenuStatement = $Database->prepare($leftmenuQuery);
$leftmenuStatement->execute();
$leftmenuRowset = $leftmenuStatement->fetchAll(PDO::FETCH_ASSOC);
$leftmenunum = count($leftmenuRowset);    //fetchAll()  	算比數
if ($leftmenunum>0)  {
echo "<h3>左側選單</h3>";
echo "<ul class=\"submenulist\"><!--項下連結-->";
 //繼續執行查詢		
$leftmenuQuery2 = "SELECT ID,Name,FontAwesome FROM webstructure WHERE configStructure='left_menu' AND parentID = 0 AND isDisplay='true' ORDER BY SortNum ASC ,ID ASC ";
$leftmenuStatement2 = $Database->prepare($leftmenuQuery2);
$leftmenuStatement2->execute();
$leftmenuRowset2 = $leftmenuStatement2->fetchAll(PDO::FETCH_ASSOC);
foreach ($leftmenuRowset2 as $leftmenurow2) {
echo "<li><a href=\"index.php?fillID=$leftmenurow2[ID]\" tabindex=\"300\" title=\"$leftmenurow2[Name]\"><i class=\"fa $leftmenurow2[FontAwesome]\" aria-hidden=\"true\"></i>$leftmenurow2[Name]</a></li>";
}
echo "</ul>";
}
?>
<h3><?php echo $PAGE_MAINNAME?></h3>
<h3>子選單</h3>
<ul class="submenulist"><!--項下連結-->
<?php
	$fillID=$_GET["fillID"];
/*	if ( ($_GET["fillID2"])=='') {
	$fillID=$_GET["fillID"];
	}else{
	$fillID=$_GET["fillID2"];
	}*/
 //繼續執行查詢		
$SelectQuery2 = "SELECT ID,Name,FontAwesome FROM webstructure WHERE (ID =:fillID OR parentID =:fillID) AND isDisplay='true' ORDER BY SortNum ASC ,ID ASC ";
//執行SQL
$Statement2 = $Database->prepare($SelectQuery2);
$Statement2->bindValue(":fillID", $fillID, PDO::PARAM_INT);
$Statement2->execute();
$Rowset2 = $Statement2->fetchAll(PDO::FETCH_ASSOC);
$num2_rows = count($Rowset2);    //fetchAll()  	算比數
foreach ($Rowset2 as $row2) {
if ($fillID==$row2[ID] AND $num2_rows>1){
echo "";
	}else{
echo "<li><a href=\"?fillID=$fillID&fillID2=$row2[ID]\" tabindex=\"300\" title=\"$row2[Name]\"><i class=\"fa $row2[FontAwesome]\" aria-hidden=\"true\"></i>$row2[Name]</a></li>";
		}
 }
?> 
</ul>
<?php
// 	二級單位暨所屬網站 
 //繼續執行查詢		
$sectionQuery = "SELECT Text FROM parameters WHERE Class='system' AND Vaule='sectionlinks'";
//執行SQL
$sectionStatement = $Database->prepare($sectionQuery);
$sectionStatement->execute();
$sectionRowset = $sectionStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($sectionRowset as $sectionRow) {
$sectionlinks=$sectionRow['Text'];
 }
if ($sectionlinks ==1){

 //繼續執行查詢		
$sectionlinksQuery = "SELECT Text FROM parameters WHERE Class='links' AND Vaule='sectionlinks'";
//執行SQL
$sectionlinksStatement = $Database->prepare($sectionlinksQuery);
$sectionlinksStatement->execute();
$sectionlinksRowset = $sectionlinksStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($sectionlinksRowset as $sectionlinksRow) {
$sectionlinksname=$sectionlinksRow['Text'];
 }
echo "<h3>$sectionlinksname</h3>";
echo "<ul class=\"submenulist\"><!--項下連結-->";
 //繼續執行查詢		
$SelectQuery = "SELECT * FROM advertisement WHERE linksclass='sectionlinks' AND isDisplay='true' ORDER BY SortNum ASC ,ID ASC ";
$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($Rowset as $row) {
 $pieces = explode ("://", $row["url"]);
		if ($pieces[0]=="https"){
			//$path="https://".str_replace("https://","",strtolower($_POST["textpath"])); 
			$path="https://".str_replace("https://","",$row["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"300\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">";
			}elseif ($pieces[0]=="http"){
			//$path="http://".str_replace("http://","",strtolower($_POST["textpath"])); 
			$path="http://".str_replace("http://","",$row["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"300\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">";
			}else{			
            $path=$row["url"];
			$ad_url="<a href=\"$path\" tabindex=\"300\" title=\"$row[Name]\">";
			}
echo "<li>$ad_url<i class=\"fa $row[FontAwesome]\" aria-hidden=\"true\"></i>$row[Name]</a></li>";
}
echo "</ul>";
}
?>

<?php
//圖片廣告
 //繼續執行查詢		
$advertisementQuery = "SELECT Text FROM parameters WHERE Class='system' AND Vaule='advertisement'";
//執行SQL
$advertisementStatement = $Database->prepare($advertisementQuery);
$advertisementStatement->execute();
$advertisementRowset = $advertisementStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($advertisementRowset as $advertisementgRow) {
$advertisement=$advertisementgRow['Text'];
 }
if ($advertisement ==1){
echo "<div class=\"row\"><div class=\"col-md-12 bg-white\">";
echo "<ul class=\"advertisementlist\"><!--項下連結-->";
 //繼續執行查詢		
$SelectQuery = "SELECT * FROM advertisement WHERE linksclass='advertisement' AND isDisplay='true' ORDER BY SortNum ASC ,ID ASC ";
$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($Rowset as $row) {
 $pieces = explode ("://", $row["url"]);
		if ($pieces[0]=="https"){
			//$path="https://".str_replace("https://","",strtolower($_POST["textpath"])); 
			$path="https://".str_replace("https://","",$row["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"300\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">";
			}elseif ($pieces[0]=="http"){
			//$path="http://".str_replace("http://","",strtolower($_POST["textpath"])); 
			$path="http://".str_replace("http://","",$row["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"300\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">";
			}else{			
            $path=$row["url"];
			$ad_url="<a href=\"$path\" tabindex=\"300\" title=\"$row[Name]\">";
			}
$imgOrig=str_replace("../","",$row[imgOrig]);				
echo "<li>$ad_url<IMG SRC=\"$imgOrig\" ALT='$row[Name]'></a></li>";
}
echo "</ul></div></div>";
}
?>
            </div>            
             <div class="col-md-9">
<div class="accesskey hidden-xs"><a accesskey="C" title="content Block" href="#" tabindex="400">:::</a></div>             
                <p class="lead">
<?php
	if ($fillID2=='') {
?>
                    <i class="fa <?php echo $level1FontAwesome?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $level1Name?>   
<?php
	}elseif ($fillID2==$fillID) {
?>
                    <i class="fa <?php echo $level1FontAwesome?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $level1Name?>   
<?php
	}else{
?>
                    <i class="fa <?php echo $level1FontAwesome?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $level1Name?>&nbsp;<i class="fa fa-chevron-right" aria-hidden="true"></i>&nbsp;
                    <i class="fa <?php echo $level2FontAwesome?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $level2Name?>  
<?php
	}
?> 
</p>
<!--顯示區-->
<div class="tuition_content"> 
  <?php

//查詢
	if (($_GET[fillID2])=='') {
	$checktutioncat=$_GET[fillID];
	}else{
	$checktutioncat=$_GET[fillID2];
	}
$showSelectQuery ="SELECT ID,parentID,isDisplay,isWrite,Name,FontAwesome,Groups,configTemplate";
$showSelectQuery.=",(SELECT parentID FROM webstructure Z WHERE Z.ID= T.parentID ) AS upparentID";
$showSelectQuery.=",(SELECT Name FROM webstructure Z WHERE Z.ID= T.parentID ) AS parentName";
$showSelectQuery.=",(SELECT FontAwesome FROM webstructure Z WHERE Z.ID= T.parentID ) AS parentFA";
$showSelectQuery.=",(SELECT Name FROM organization WHERE organization.ID=T.Groups) As GroupName";
$showSelectQuery.=" FROM webstructure T WHERE isWrite='true' AND (ID=:checktutioncat OR parentID=:checktutioncat ) Order by SortNum,ID ";

//執行SQL
$showStatement = $Database->prepare($showSelectQuery);
$showStatement->bindParam(":checktutioncat", $checktutioncat, PDO::PARAM_INT);
$showStatement->execute();
$showRowset = $showStatement->fetchAll(PDO::FETCH_ASSOC);
   	
$shownum_rows = count($showRowset);    //fetchAll()  	算比數

 if ($shownum_rows==0) echo "<span class=\"text-center text-warning\">本資訊處理中</span>";//	

$OrigiArray= array();

foreach ($showRowset as $showrow) {
$show_num++;
$showID=$showrow["ID"];
array_push($OrigiArray,$showID);
$parentID=$showrow["parentID"];
$Name=$showrow["Name"];
$FontAwesome=$showrow["FontAwesome"];
$Groups=$showrow["Groups"];
$configTemplate=$showrow["configTemplate"];
$upparentID=$showrow["upparentID"];
$parentName=$showrow["parentName"];
$parentFA=$showrow["parentFA"];
$GroupName=$showrow["GroupName"];
	if (!($_GET[fillID2])) {
	$showfillID=$_GET[fillID2];
	}if ($showID==$_GET[fillID]){
	$showfillID=$_GET[fillID];
	}else{
	$showfillID=$showID;		
		}
 ?> 
<?php
	if (!($_GET[fillID2]) AND $shownum_rows>1 ) {
//顯示第二層
    //echo $OrigiArray[0];
	//$showfillID=$OrigiArray[0];
   //echo "showweb$configTemplate.php";
   echo "<h3 class=\"GreenH3\"><i class=\"fa $FontAwesome\" aria-hidden=\"true\" alt=\" \"></i>&nbsp;$Name&nbsp;<a href=\"?fillID=$parentID&fillID2=$showID\" title='查看子層級'><i class=\"fa fa-level-down\" aria-hidden=\"true\"></i></a></h3> ";
	}else{
    require "showweb$configTemplate.php";
		}
	}	 	 
 ?> 
 </div><!--/<div class="tuition_content">-->
 <!--/顯示區-->                         
          </div> 
        </div>
</div>
</div>
      </section>
<?php include("include/footer_social.php"); ?>
<!-- Begin footer -->    
<footer class="bs-docs-footer" id="section-footer">
<!-- #Date -->
<section id="page-BeginDate">
      <div class="container-fluid page-BeginDate">
        <div class="container">
        <div class="row">
            <div class="col-lg-12">        
         Last Updated: 
            <!-- #BeginDate format:IS1m -->2017-03-09  14:04<!-- #EndDate -->
</div></div>
</div>
      </div>
</section>
<!-- #EndDate -->    
<?php include("include/footer_copyright.php"); ?>
  </body>
</html>