<?php
/* Make sure we've been called using index.php */
if (!defined('INSTALL_SEQUENCE')) {
    echo '<p>Illegal call. Terminating.</p>';
    exit();
}
date_default_timezone_set("Asia/Taipei");
$created_date = date('Y-m-d H:i:s');
?>
<p>更新資訊:</p>
<ul>
    
<?php
// Check passwords
$data = $_POST['upgrade'];
if ($data['pwd'] != $data['pwd_check']) {
    die('<strong>更新失敗!!</strong>管理者兩次密碼輸入不一樣');
}

//查詢Table資料
$SelectQuery = "SELECT count(*) AS checknum ,* FROM admin";
$SelectQuery.=" where (Username=:Username and Password=:Password) AND Groups=1";

//執行SQL
$Statement = $Database->prepare($SelectQuery);
$Statement->bindParam(":Username", $data[username]);
$Statement->bindParam(":Password", substr(md5($data[pwd]),0,40));
$Statement->execute();
$row = $Statement->fetch(PDO::FETCH_ASSOC);
if ( $row['checknum']==0 ) { //
die('<strong>更新失敗!</strong> 管理者帳號/密碼錯誤....');
}else{

echo '<li>通過驗證管理者帳號......</li>';


/***** SAFETY CHECKS DONE, CONTINUE WITH ACTUAL UPGRADE ******/
echo '<li>開始進行資料庫更新...<ul>';


// deanBriefSQLITE
//查詢Table資料
$SortNumQuery = "SELECT count(*) AS checkSortnum FROM sqlite_master WHERE name='deanBrief' AND sql  LIKE '%SortNum%' ORDER BY name";

//執行SQL
$SortNumStatement = $Database->prepare($SortNumQuery);
$SortNumStatement->execute();
$SortNumrow = $SortNumStatement->fetch(PDO::FETCH_ASSOC);
if ( $SortNumrow['checkSortnum']==0 ) { //
echo '<strong>即將為您更新資料表deanBrief...!</strong>......';

//更新紀錄到欄位中
$Database->exec("ALTER TABLE deanBrief ADD SortNum INTEGER");
echo '<li>資料庫更新已完成deanBrief...<ul>';

}else{
echo '<li>無須更新資料表deanBrief......</li>';
}

// deanDataSQLITE
//查詢Table資料
$SortNumQuery = "SELECT count(*) AS checkSortnum FROM sqlite_master WHERE name='deanData' AND sql  LIKE '%SortNum%' ORDER BY name";

//執行SQL
$SortNumStatement = $Database->prepare($SortNumQuery);
$SortNumStatement->execute();
$SortNumrow = $SortNumStatement->fetch(PDO::FETCH_ASSOC);
if ( $SortNumrow['checkSortnum']==0 ) { //
echo '<strong>即將為您更新資料表deanData...!</strong>......';

//更新紀錄到欄位中
$Database->exec("ALTER TABLE deanData ADD SortNum INTEGER");
echo '<li>deanData資料庫更新已完成...<ul>';

}else{
echo '<li>無須更新資料表deanData......</li>';
}

echo '<strong>即將為您更新program資料表資料...!</strong>';

        //更新紀錄到欄位中
	    $stmtprogram ="UPDATE program SET AdminID=1,Version='v1.17.3.10',UpdateTime='$created_date' WHERE Version < 'v1.17.3.10'";
		$update_program=$Database->exec($stmtprogram);  
//判斷是否修改成功
	if(!$update_program){
echo '<li>無法更新program資料......</li>';
	}else{
echo '<li>program資料更新已完成......</li>';
	}
	
	    $stmtprogram1 ="UPDATE program SET Name='單位名稱設定',Description='管理單位名稱',UpdateTime='$created_date' WHERE ID=1";
		$update_program1=$Database->exec($stmtprogram1); 	
//判斷是否修改成功
	if(!$update_program1){
echo '<li>無法更新program資料表(填報單位設定改為單位名稱設定)......</li>';
	}else{
echo '<li>program資料表(填報單位設定改為單位名稱設定)已完成......</li>';
	}	


echo '<strong>即將為您新增parameters資料表資料...!</strong>';

        //更新紀錄到欄位中
	    $stmtparameters ="INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES (NULL,'template','teacher','教師陣容模組','請勿刪除','2','$created_date')";
		$update_parameters=$Database->exec($stmtparameters);  
//判斷是否修改成功
	if(!$update_parameters){
echo '<li>無法新增parameters資料(新增教師陣容模組)......</li>';
	}else{
echo '<li>parameters資料(新增教師陣容模組)新增已完成......</li>';
	}
}
?>
</ul>
</li>
        <h3>通知事項</h3>
        <p>
            環球科技大學單位網站CMS 已經成功更新.
           <b>請完成下列設定:</b>
        </p>
        <ul>
<li>仍請刪除 <em>install</em> 資料夾或更名!</li>			
</ul>
<strong>您可以繼續登入管理區使用!</strong>