<?php
if (!defined('INSTALL_SEQUENCE')) {
    echo '<p>Illegal call. Terminating.</p>';
    exit();
}
?>

    <h1>安裝結果</h1>
    <?php if (isset($error) && false !== $error): ?>
        <p style="color: red;"><?php echo $error; ?></p>
        <p><a href="index.php">安裝過程有點錯誤 請重新安裝</a></p>
    <?php else: ?>
        <p><?php echo $msg; ?></p><br/>
        <h3>通知事項</h3>
        <p>
            環球科技大學單位網站CMS 已經成功安裝.
           <b>請完成下列設定:</b>
        </p>
        <ol>
            <li>請刪除 <em>install</em> 資料夾!</li>
            <li>請將 <em>config.php</em> 移除可寫入權限！ <sup>2)</sup></li>
        </ol>
        <h3>注意事項</h3>
        <p class="footnotes">
            <sup>1)</sup> 請注意: 請登入後立即<strong>更新管理者密碼</strong>!<br/>
            
            <sup>2)</sup> 實際上，仍可以運行(但有風險)，建議您將config.php移除可寫入權限
        </p>
    <?php endif; ?>