<?php
/* Make sure we've been called using index.php */
if (!defined('INSTALL_SEQUENCE')) {
    echo '<p>Illegal call. Terminating.</p>';
    exit();
}
date_default_timezone_set("Asia/Taipei");
$created_date = date('Y-m-d H:i:s');
// Table structure for table: organization-----------------------------------
$PDO->exec("INSERT INTO organization (ID,isDisplay,SortNum,Name,AdminID,UpdateTime) VALUES ('1','true',NULL,'管理者',NULL,'$created_date')");
$PDO->exec("INSERT INTO organization (ID,isDisplay,SortNum,Name,AdminID,UpdateTime) VALUES ('2','true',NULL,'測試單位','1','$created_date')");
  
// Table structure for table: program-----------------------------------
$PDO->exec("INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('1','true','3','單位名稱設定','fa-building','fun_organization.php','v1.17.3.10','管理單位名稱','1','$created_date')");
$PDO->exec("INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('2','true','4','使用者設定','fa-address-card','fun_account.php','v1.17.3.10','管理應填報單位使用者','1','$created_date')");
$PDO->exec("INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('3','true','5','程式設定','fa-terminal','fun_program.php','v1.17.3.10','管理程式設定','1','$created_date')");
$PDO->exec("INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('4','true','6','網頁架構','fa-tree','fun_webstructure.php','v1.17.3.10','網頁架構','1','$created_date')");
$PDO->exec("INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('5','true','2','系統參數','fa-cog','fun_parameters.php','v1.17.3.10','管理系統參數','1','$created_date')");
$PDO->exec("INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('6','true','11','登出/Logout','fa-sign-out','logout.php','v1.17.3.10','登出系統','1','$created_date')");
$PDO->exec("INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('7','true','1','後端管理區主頁','fa-lock','admin.php','v1.17.3.10','後端管理區說明','1','$created_date')");
$PDO->exec("INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('8','true','9','聯絡我們','fa-envelope','contact.php','v1.17.3.10','後端管理區聯絡我們','1','$created_date')");
$PDO->exec("INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('9','true','10','網站導覽','fa-sitemap','sitemap.php','v1.17.3.10','後端管理區網站導覽','1','$created_date')");
$PDO->exec("INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('10','true','7','變更基本資料','fa-user','changeprofile.php','v1.17.3.10','變更基本資料','1','$created_date')");
$PDO->exec("INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('11','true','8','變更密碼','fa-key','changepw.php','v1.17.3.10','變更密碼','1','$created_date')");
$PDO->exec("INSERT INTO program (ID,isDisplay,SortNum,Name,FontAwesome,url,Version,Description,AdminID,UpdateTime) VALUES ('12','true',NULL,'文字圖片連結','fa-registered','fun_advertisement.php','v1.17.3.10','管理文字連結及圖片連結','1','$created_date')");

// Table structure for table: parameters-----------------------------------
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('1','config','config','分類','0','1','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('3','config','webstructure','網站架構','2','1','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('7','config','system','系統參數設定','3','1','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('8','system','bug','0','除錯:0關閉1啟用','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('9','config','template','網頁範本','4','1','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('10','template','default','預設網頁','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('11','template','links','法規檔案模組','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('13','template','members','人員編制模組','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('14','template','dean','單位主管模組','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('15','template','index','首頁模組','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('16','config','links','廣告文字連結區域','5','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('17','links','navtop','上方連結','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('18','webstructure','menu','選單','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('19','webstructure','left_menu','左方選單','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('21','config','jobtitle','職稱管理','6','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('23','jobtitle','Dean','圖資長','一級主管','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('24','jobtitle','Vice Dean','副總務長','副主管','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('29','template','homepage',' 所見即所得編輯器','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('30','links','advertisement','廣告圖','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('31','system','advertisement','1','圖片廣告:0關閉1啟用','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('32','system','sectionlinks','1','二級單位暨所屬網站:0關閉1啟用','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('33','links','sectionlinks','二級單位暨所屬網站(這可以改)','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('34','jobtitle','Director','組長','組長','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('35','jobtitle','Clerk','組員','非領導職務','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('36','links','index','首頁輪播','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('47','template','qanda','答客問Q&amp;A','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('50','template','album','相簿','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES ('53','links','youtube','首頁youtube輪播','請勿刪除','2','$created_date')");
$PDO->exec("INSERT INTO parameters (ID,Class,Vaule,Text,Note,AdminID,UpdateTime) VALUES (NULL,'template','teacher','教師陣容模組','請勿刪除','2','$created_date')");

// Table structure for table: admin-----------------------------------
$PDO->exec("INSERT INTO admin (ID,Username,Password,Name,Phone,Email,AdminLevel,Groups,isLogin,ChangePwdDate,logined,chkid,StayTime,ssid,AdminID,UpdateTime) VALUES ('1','admin','94024dc208b8bd57f7a7780304bbb641','管理者','82910','wucy@twu.edu.tw','1,2,3,4,5,6,7,8,9,10,11,12','1','true','2017-01-14 19:52:00','0',NULL,NULL,NULL,'1','$created_date')");
$PDO->exec("INSERT INTO admin (ID,Username,Password,Name,Phone,Email,AdminLevel,Groups,isLogin,ChangePwdDate,logined,chkid,StayTime,ssid,AdminID,UpdateTime) VALUES ('2','transworld','44078a453581e6730329cb256803dfd3','業管單位管理者',NULL,NULL,'1,2,4,5,6,7,8,9,10,11,12','1','true',NULL,'0',NULL,NULL,NULL,'1','$created_date')");


// Table structure for table: webstructure-----------------------------------
$PDO->exec("INSERT INTO webstructure (ID,configStructure,parentID,isDisplay,isWrite,SortNum,Name,FontAwesome,configTemplate,Description,Groups,AdminID,UpdateTime) VALUES ('1','menu','0','true','true',NULL,'最新消息','fa-building','default','','2','2','$created_date')");
$PDO->exec("INSERT INTO webstructure (ID,configStructure,parentID,isDisplay,isWrite,SortNum,Name,FontAwesome,configTemplate,Description,Groups,AdminID,UpdateTime) VALUES ('2','menu','0','true','false',NULL,'認識我們','fa-info-circle','homepage','','1','2','$created_date')");
$PDO->exec("INSERT INTO webstructure (ID,configStructure,parentID,isDisplay,isWrite,SortNum,Name,FontAwesome,configTemplate,Description,Groups,AdminID,UpdateTime) VALUES ('3','menu','2','true','true',NULL,'單位簡介','fa-info-circle','homepage','','2','2','$created_date')");
$PDO->exec("INSERT INTO webstructure (ID,configStructure,parentID,isDisplay,isWrite,SortNum,Name,FontAwesome,configTemplate,Description,Groups,AdminID,UpdateTime) VALUES ('4','menu','2','true','true',NULL,'一級主管','fa-user-plus','dean','','2','2','$created_date')");
$PDO->exec("INSERT INTO webstructure (ID,configStructure,parentID,isDisplay,isWrite,SortNum,Name,FontAwesome,configTemplate,Description,Groups,AdminID,UpdateTime) VALUES ('5','menu','2','true','true',NULL,'副主管','fa-user','dean','','2','2','$created_date')");
$PDO->exec("INSERT INTO webstructure (ID,configStructure,parentID,isDisplay,isWrite,SortNum,Name,FontAwesome,configTemplate,Description,Groups,AdminID,UpdateTime) VALUES ('6','menu','2','true','true',NULL,'服務團隊','fa-users','members','','2','2','$created_date')");
$PDO->exec("INSERT INTO webstructure (ID,configStructure,parentID,isDisplay,isWrite,SortNum,Name,FontAwesome,configTemplate,Description,Groups,AdminID,UpdateTime) VALUES ('7','menu','0','true','true',NULL,'相關法規','fa-balance-scale','links','','2','2','$created_date')");
$PDO->exec("INSERT INTO webstructure (ID,configStructure,parentID,isDisplay,isWrite,SortNum,Name,FontAwesome,configTemplate,Description,Groups,AdminID,UpdateTime) VALUES ('8','menu','0','true','false',NULL,'表單下載','fa-download','default','','','2','$created_date')");
$PDO->exec("INSERT INTO webstructure (ID,configStructure,parentID,isDisplay,isWrite,SortNum,Name,FontAwesome,configTemplate,Description,Groups,AdminID,UpdateTime) VALUES ('9','menu','8','true','true',NULL,'教育部獎勵補助整體發展經費','fa-files-o','links','教育部獎勵補助整體發展經費','2','2','$created_date')");
$PDO->exec("INSERT INTO webstructure (ID,configStructure,parentID,isDisplay,isWrite,SortNum,Name,FontAwesome,configTemplate,Description,Groups,AdminID,UpdateTime) VALUES ('10','menu','8','true','true',NULL,'ISMS校園資訊安全管理系統','fa-files-o','links','管理程序相關表單','2','2','$created_date')");
$PDO->exec("INSERT INTO webstructure (ID,configStructure,parentID,isDisplay,isWrite,SortNum,Name,FontAwesome,configTemplate,Description,Groups,AdminID,UpdateTime) VALUES ('11','left_menu','0','true','true',NULL,'Q&amp;A','fa-question-circle','qanda','','2','2','$created_date')");
$PDO->exec("INSERT INTO webstructure (ID,configStructure,parentID,isDisplay,isWrite,SortNum,Name,FontAwesome,configTemplate,Description,Groups,AdminID,UpdateTime) VALUES ('12','menu','0','true','true',NULL,'活動相簿','fa-picture-o','album','活動相簿','2','2','$created_date')");

// Table structure for table: advertisement-----------------------------------
$PDO->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES ('1','true','navtop','','首頁',NULL,'fa-home','index.php','','','','2','$created_date')");
$PDO->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES ('2','true','navtop','','聯絡我們',NULL,'fa-envelope','contact.php','','','','2','$created_date')");
$PDO->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES ('3','true','navtop','','網站導覽',NULL,'fa-sitemap','sitemap.php','','','','2','$created_date')");
$PDO->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES ('4','true','navtop','','一級單位全銜',NULL,'fa-arrow-up','http://olis.twu.edu.tw/','','','','2','$created_date')");
$PDO->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES ('5','true','navtop','','環球科技大學',NULL,'fa-language','http://www.twu.edu.tw/','','','','2','$created_date')");
$PDO->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES ('6','true','index','','第一張投影片','第一張投影片介紹.','','','../public/advertisement170124155025.jpg','','','2','$created_date')");
$PDO->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES ('7','true','index','','新生生活體驗營','內容精采、創意不斷，包含學生會溫馨接送情、闖關遊戲「築夢踏實」、「攜手相伴」、「舞鷹展翅」等多元迎新活動. ','','http://www.twu.edu.tw/freshman/','../public/advertisement170124155040.jpg','','','2','$created_date')");
$PDO->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES ('8','true','index','','第3張投影片','第3張投影片介紹','','','../public/advertisement170124155051.jpg','','','2','$created_date')");
$PDO->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES ('9','true','youtube','','105學年度學校簡介','6HURq_8UPV8','fa-youtube','https://youtu.be/6HURq_8UPV8','','','','2','$created_date')");
$PDO->exec("INSERT INTO advertisement (ID,isDisplay,linksclass,SortNum,Name,Note,FontAwesome,url,imgOrig,StartDate,EndDate,AdminID,UpdateTime) VALUES ('10','true','youtube','','環遊雲虎三校聯合晚會 22日環球科大登場','Yp6jGXxezUY','fa-youtube','https://youtu.be/Yp6jGXxezUY','','','','2','$created_date')");

?>