<?php
/* Make sure we've been called using index.php */
if (!defined('INSTALL_SEQUENCE')) {
    echo '<p>Illegal call. Terminating.</p>';
    exit();
}

if (!class_exists('PDO',false)) {
    echo '<p>Wolf CMS requires PDO support which was not detected. Terminating.</p>';
    exit();
}

$drivers = PDO::getAvailableDrivers();

?>
        即將進行升級資料庫:
        <strong>TWUCMS20170308(含之前)版本</strong>
        =&gt; <strong>TWUCMS20170310</strong>?
    </p>

    <form action="index.php" method="post">
        <input type="hidden" name="upgrade" value="1"/>
        <table class="fieldset" cellpadding="0" cellspacing="0" border="0">
            <tr>
                <td colspan="3">
                    <h3>管理者資料驗證</h3>
                </td>
            </tr>
            <tr>
                <td class="label"><label for="config_admin_username">管理者帳號 username</label></td>
                <td class="field"><input class="textbox" id="config_admin_username" maxlength="40" name="upgrade[username]" size="50" type="text" value="" /></td>
                <td class="help">必填欄位.請輸入管理者帳號 username . 預設: transworld</td>
            </tr>
            <tr>
                <td class="label"><label for="config_admin_password1">管理者密碼 password</label></td>
                <td class="field"><input class="textbox" id="config_admin_password1" maxlength="40" name="upgrade[pwd]" size="50" type="password" value="" /></td>
                <td class="help">必填欄位.管理者密碼 password</td>
            </tr>
            <tr>
                <td class="label"><label for="config_admin_password1">再輸入一次管理者密碼 password</label></td>
                <td class="field"><input class="textbox" id="config_admin_password2" maxlength="40" name="upgrade[pwd_check]" size="50" type="password" value="" /></td>
                <td class="help">必填欄位.再輸入一次管理者密碼 password</td>
            </tr>
        </table>
        <p class="buttons">
            <button class="button" name="commit" type="submit">開始更新/Upgrade now!</button>
        </p>
    </form>