<?php 
//法規/檔案基本資料
$linksBriefQuery = "SELECT * FROM linksBrief WHERE isDisplay = 'true' ";
$linksBriefQuery.="AND parentID= :fillID2";
//執行SQL
$linksBriefStatement = $Database->prepare($linksBriefQuery);
$linksBriefStatement->bindParam(":fillID2", $showfillID, PDO::PARAM_INT);
$linksBriefStatement->execute();
$linksBriefRowset = $linksBriefStatement->fetchAll(PDO::FETCH_ASSOC);
$linksBrief_num = count($linksBriefRowset);    //fetchAll()  	算比數
 if ($linksBrief_num==0) echo "<p class=\"text-center text-warning\">目前沒有設定</p>";//	
foreach ($linksBriefRowset as $linksBriefrow) {
$linksBriefshow_id=$linksBriefrow["ID"];	
$linksBriefparentID=$linksBriefrow["parentID"];
$linksBriefisDisplay=$linksBriefrow["isDisplay"];
$linksBrieflinkstype=$linksBriefrow["linkstype"];
$linkstype=($linksBriefrow["linkstype"]=='laws') ? "法規" : "檔案(表格等等...)";
$linksBrieflinksclass=$linksBriefrow["linksclass"];
$linksBriefAdminID=$linksBriefrow["AdminID"];
$linksBriefUpdateTime=$linksBriefrow["UpdateTime"];
}

//ODF註解
 if ($linksBriefrow["linkstype"]=='laws'){
echo "ODF 是一種基於 XML的檔案格式規範，因應試算表、圖表、簡報和文書處理文件等電子文件而設置。最常見的開放格式有: 
*.odt編輯文字的文件(text)，*.ods編輯表格的文件(spreadsheets)，*.odp編輯簡報的文件(presentations)";	
	}
	
//分類
$linksclassquery="SELECT Vaule,Text FROM parameters WHERE Class =:linksclass ";
//執行SQL
$linksclassStatement = $Database->prepare($linksclassquery);
$linksclassStatement->bindParam(":linksclass", $linksBrieflinksclass);
$linksclassStatement->execute();
$linksclassRowset = $linksclassStatement->fetchAll(PDO::FETCH_ASSOC);
$linksclass_num = count($linksclassRowset);    //fetchAll()  	算比數
 if ($linksclass_num==0) echo "<p class=\"text-center text-warning\">類別目前沒有設定</p>";//	
foreach ($linksclassRowset as $linksclassrow) {
?>
<p class="icon_arrow"><?php echo $linksclassrow[Text]?></p>

<?php
$expquery="SELECT * FROM linksData WHERE isDisplay= 'true' AND linkstype= '$linksBrieflinkstype' ";
$expquery.="AND linksclass='$linksclassrow[Vaule]' AND parentID= :parentID  ORDER BY SortNum ASC ,ID ASC";
//執行SQL
$expStatement = $Database->prepare($expquery);
$expStatement->bindParam(":parentID", $linksBriefshow_id, PDO::PARAM_INT);
$expStatement->execute();
$expRowset = $expStatement->fetchAll(PDO::FETCH_ASSOC);
$exp_rows = count($expRowset);    //fetchAll()  	算比數

if ($linksBriefrow["linkstype"]=='laws'){
echo "<ol class=\"container-list\">";
}else{
echo "<div class=\"table-responsive\">
<table class=\"table table-bordered table-striped table-hover table-condensed task-table\">
<thead>
<tr>
<th width=40%>法規/檔案名稱</th>
<th width=23%>備註/說明</th>
<th width=17%>更新日期</th>
<th width=10%>非ODF</th>
<th width=10%>ODF</th>
</tr>
</thead>
<tbody> ";	
	}
 if ($exp_rows==0) echo "<p class=\"text-center text-warning\">目前沒有資料</p>";//	
foreach ($expRowset as $exprow) {
$expshow_id=$exprow["ID"];	
$parentID=$exprow["parentID"];
$expexpisDisplay=$exprow["isDisplay"];
$expSortNum=$exprow["SortNum"];
$explinkstype=$exprow["linkstype"];
$explinksclass=$exprow["linksclass"];
$expTitle=$exprow["Title"];
$expNote=$exprow["Note"];
$expStartDate=$exprow["StartDate"];
$exppath1=$exprow["path1"];
$expformat1=$exprow["format1"];
$exppath2=$exprow["path2"];
$expformat2=$exprow["format2"];
$expAdminID=$exprow["AdminID"];
$expUpdateTime=$exprow["UpdateTime"];

list($expformat1, $expformat1a) = split('[/]', $expformat1);
if ($expformat1=='application') {
		switch($expformat1a ) {
			case "pdf": $format="fa-file-pdf-o";$a_title="pdf檔"; break;
			case "x-zip-compressed":  $format="fa-file-archive-o";$a_title="ZIP"; break;				
			case "octet-stream":  $format="fa-file-archive-o";$a_title="rar/7z"; break;
			case "vnd.openxmlformats-officedocument.wordprocessingml.document": $format="fa-file-word-o";$a_title="word檔(DOCX格式)"; break;
			case "vnd.openxmlformats-officedocument.presentationml.presentation": $format="fa-file-powerpoint-o";$a_title="powerpoint檔(PPTX格式)"; break; 
			case "vnd.openxmlformats-officedocument.spreadsheetml.sheet": $format="fa-file-excel-o";$a_title="excel檔(XLSX格式)"; break;
			case "msword": $format="fa-file-word-o";$a_title="word檔(DOC格式)"; break;
			case "vnd.ms-excel": $format="fa-file-excel-o";$a_title="excel檔(XLS格式)"; break;
			case "vnd.ms-powerpoint": $format="fa-file-powerpoint-o";$a_title="powerpoint檔(PPT格式)"; break;
			default: $format="fa-file-o";$a_title="檔案";
		}
$path=str_replace("../","",$exppath1);

if ($linksBriefrow["linkstype"]=='laws'){

$exppath1="<a href=".$path." target=\"_blank\" title=\"$expTitle($a_title;按右鍵另存新檔)\">$expTitle
<span class=\"fa-stack fa-lg\">
    <i class=\"fa fa-circle fa-stack-2x\" aria-hidden=\"true\"></i>
    <i class=\"fa $format fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
</span></a>";

}else{
$exppath1="<a href=".$path." target=\"_blank\" title=\"$expTitle($a_title;按右鍵另存新檔)\">
<span class=\"fa-stack fa-lg\">
    <i class=\"fa fa-circle fa-stack-2x\" aria-hidden=\"true\"></i>
    <i class=\"fa $format fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
</span></a>";
	}
}

list($expformat2, $expformat2a) = split('[/]', $expformat2);
if ($expformat2=='application') {
	
		switch($expformat2a ) {
			case "pdf": $format2="fa-file-pdf-o";$a_title2="pdf檔"; break;
			case "x-zip-compressed":  $format2="fa-file-archive-o";$a_title2="ZIP"; break;				
			case "octet-stream":  $format2="fa-file-archive-o";$a_title2="rar/7z"; break;
			case "vnd.oasis.opendocument.text": $format2="fa-file-o";$a_title2="OpenDocument Text(odt格式)"; break;
			case "vnd.oasis.opendocument.presentation": $format2="fa-file-o";$a_title2="OpenDocument Presentation(odp格式)"; break;
			case "vnd.oasis.opendocument.spreadsheet": $format2="fa-file-o";$a_title2="OpenDocument Spreadsheet(ods格式)"; break;
			case "vnd.oasis.opendocument.graphics": $format2="fa-file-o";$a_title2="OpenDocument Graphics(odg格式)"; break;
			case "vnd.oasis.opendocument.database": $format2="fa-file-o";$a_title2="OpenDocument Database(odb格式)"; break;


			default: $format2="fa-file-o";$a_title2="檔案";
		}
$path2=str_replace("../","",$exppath2);

if ($linksBriefrow["linkstype"]=='laws'){
$exppath2="<a href=".$path2." target=\"_blank\" title=\"$expTitle($a_title2;按右鍵另存新檔)\">
<span class=\"fa-stack fa-lg\">
    <i class=\"fa fa-circle fa-stack-2x\" aria-hidden=\"true\"></i>
    <i class=\"fa $format2 fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
</span></a>";
}else{
$exppath2="<a href=".$path2." target=\"_blank\" title=\"$expTitle($a_title2;按右鍵另存新檔)\">
<span class=\"fa-stack fa-lg\">
    <i class=\"fa fa-circle fa-stack-2x\" aria-hidden=\"true\"></i>
    <i class=\"fa $format2 fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
</span></a>";
	}
 }

if ($linksBriefrow["linkstype"]=='laws'){
//清單列表
//單獨處理第一個檔案
if ($expformat1=='link') {
$exppath1="$expTitle<a href=".$exppath1." target=\"_blank\" title=\"$expTitle(開啟新視窗)\">
<span class=\"fa-stack fa-lg\">
    <i class=\"fa fa-circle fa-stack-2x\" aria-hidden=\"true\"></i>
    <i class=\"fa fa-link fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
</span></a>";
}
//單獨處理第二個檔案	
if ($expformat2=='link') {
$exppath2="<a href=".$exppath2." target=\"_blank\" title=\"$expTitle(開啟新視窗)\">
<span class=\"fa-stack fa-lg\">
    <i class=\"fa fa-circle fa-stack-2x\" aria-hidden=\"true\"></i>
    <i class=\"fa fa-link fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
</span></a>";
}
echo "<li>$exppath1$exppath2<small>$expNote</small></li>";


}else{
//表格顯示 遇連結替代之
//單獨處理第一個檔案
if ($expformat1=='link') {
$exppath1="<a href=".$exppath1." target=\"_blank\" title=\"$expTitle(開啟新視窗)\">
<span class=\"fa-stack fa-lg\">
    <i class=\"fa fa-circle fa-stack-2x\" aria-hidden=\"true\"></i>
    <i class=\"fa fa-link fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
</span></a>";
}
//單獨處理第二個檔案	
if ($expformat2=='link') {
$exppath2="<a href=".$exppath2." target=\"_blank\" title=\"$expTitle(開啟新視窗)\">
<span class=\"fa-stack fa-lg\">
    <i class=\"fa fa-circle fa-stack-2x\" aria-hidden=\"true\"></i>
    <i class=\"fa fa-link fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
</span></a>";
}	
	
echo " <tr>
     <td data-label=\"法規/檔案名稱\">$expTitle&nbsp;</div></td>
     <td data-label=\"備註/說明\">$expNote&nbsp;</td>  
     <td data-label=\"更新日期\">$expStartDate&nbsp;</td>  
     <td data-label=\"非ODF\">$exppath1&nbsp;</td>	 
     <td data-label=\"ODF\"> $exppath2&nbsp;</td></tr>  ";	
	}
 }
 if ($linksBriefrow["linkstype"]=='laws'){
echo "</ol>";
}else{
echo "</tbody></table>";	
echo "</div>";
	}
}
 ?> 