<style type="text/css">
/*--本頁表格專用*/
    .faqHeader {
        font-size: 1.6em;
        margin: 20px;
    }

    .panel-heading [data-toggle="collapse"]:after {
        font-family: 'Glyphicons Halflings';
        content: "\e072"; /* "play" icon */
        float: right;
        color: #F58723;
        font-size: 18px;
        line-height: 22px;
        /* rotate "play" icon from > (right arrow) to down arrow */
        -webkit-transform: rotate(-90deg);
        -moz-transform: rotate(-90deg);
        -ms-transform: rotate(-90deg);
        -o-transform: rotate(-90deg);
        transform: rotate(-90deg);
    }

    .panel-heading [data-toggle="collapse"].collapsed:after {
        /* rotate "play" icon from > (right arrow) to ^ (up arrow) */
        -webkit-transform: rotate(90deg);
        -moz-transform: rotate(90deg);
        -ms-transform: rotate(90deg);
        -o-transform: rotate(90deg);
        transform: rotate(90deg);
        color: #454444;
    }
</style>
<?php 
//Q&A基本資料
$linksBriefQuery = "SELECT * FROM qandaBrief WHERE isDisplay = 'true' ";
$linksBriefQuery.="AND parentID= :fillID2";
//執行SQL
$linksBriefStatement = $Database->prepare($linksBriefQuery);
$linksBriefStatement->bindParam(":fillID2", $showfillID, PDO::PARAM_INT);
$linksBriefStatement->execute();
$linksBriefRowset = $linksBriefStatement->fetchAll(PDO::FETCH_ASSOC);
$linksBrief_num = count($linksBriefRowset);    //fetchAll()  	算比數
 if ($linksBrief_num==0) echo "<p class=\"text-center text-warning\">Q&A目前沒有設定</p>";//	
foreach ($linksBriefRowset as $linksBriefrow) {
$linksBriefshow_id=$linksBriefrow["ID"];	
$linksBriefparentID=$linksBriefrow["parentID"];
$linksBriefisDisplay=$linksBriefrow["isDisplay"];
$linksBrieflinksclass=$linksBriefrow["qandaclass"];
$linksBriefAdminID=$linksBriefrow["AdminID"];
$linksBriefUpdateTime=$linksBriefrow["UpdateTime"];
}
//分類
$linksclassquery="SELECT Vaule,Text FROM parameters WHERE Class =:linksclass ";
//執行SQL
$linksclassStatement = $Database->prepare($linksclassquery);
$linksclassStatement->bindParam(":linksclass", $linksBrieflinksclass);
$linksclassStatement->execute();
$linksclassRowset = $linksclassStatement->fetchAll(PDO::FETCH_ASSOC);
$linksclass_num = count($linksclassRowset);    //fetchAll()  	算比數
 if ($linksclass_num==0) echo "<p class=\"text-center text-warning\">Q&A目前沒有設定分類</p>";//	
foreach ($linksclassRowset as $linksclassrow) {
?>
<p class="icon_arrow"><?php echo $linksclassrow[Text]?></p>

<?php
$QADataquery="SELECT * FROM qandaData WHERE isDisplay= 'true' ";
$QADataquery.="AND qandasclass='$linksclassrow[Vaule]' AND parentID= :parentID ORDER By ID";
//執行SQL
$QADataStatement = $Database->prepare($QADataquery);
$QADataStatement->bindParam(":parentID", $linksBriefshow_id, PDO::PARAM_INT);
$QADataStatement->execute();
$QADataRowset = $QADataStatement->fetchAll(PDO::FETCH_ASSOC);
$QAData_rows = count($QADataRowset);    //fetchAll()  	算比數

if ($QAData_rows==0) echo "<p class=\"text-center text-warning\">目前沒有資料</p>";//	
foreach ($QADataRowset as $QADatarow) {
$QAData_id=$QADatarow["ID"];	
$QADataparentID=$QADatarow["parentID"];
$QADataisDisplay=$QADatarow["isDisplay"];
$QADataSortNum=$QADatarow["SortNum"];
$QADataqandasclass=$QADatarow["qandasclass"];
$QADataTitle=$QADatarow["Title"];
$QADataNote=$QADatarow["Note"];
$QADataAnswer=$QADatarow["Answer"];
$QADataAnswerNote=$QADatarow["AnswerNote"];
$QADataGroups=$QADatarow["Groups"];
$QADataAdminID=$QADatarow["AdminID"];
$QADataUpdateTime=$QADatarow["UpdateTime"];
echo "     
        <div class=\"panel panel-default\">
            <div class=\"panel-heading\">
                <h5 class=\"panel-title\">
                    <a class=\"accordion-toggle icon_arrow\" data-toggle=\"collapse\" data-parent=\"#accordion\" href=\"#Q$QAData_id\">Q$QAData_id.$QADataTitle</a>
            <small>$QADataNote</small>
			    </h5>
            </div>
            <div id=\"Q$QAData_id\" class=\"panel-collapse collapse\">
                <div class=\"panel-body\">
                    <p class=\"icon_bluecircle\">$QADataAnswer</p><p>$QADataAnswerNote</p>
                </div>
            </div>
        </div>
";
}
}
 ?> 